View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000557Ecere SDKide:buildsystempublic2010-08-31 05:072013-08-07 03:33
Reporterjerome 
Assigned Toredj 
PriorityimmediateSeverityblockReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version0.44.08Fixed in Version0.44.08 
Summary0000557: ide: makefile generation: Additional libraries in config: order in makefile doesn't match order in ListBox
DescriptionIf you have in 'Common' additional libraries set to

..\cLibrary\obj\debug.win32

and then you create a new config called 'Static' and add to it

..\cLibrary\obj\static.win32

even though static is what gets listed in the ListBox at the top, in the Static config makefile it will generate:

     -L../cLibrary/obj/debug.win32 \
     -L../cLibrary/obj/static.win32

The ListBox has the 'proper' behavior, the Makefile is wrong.
This might extend to include directories as well, and potentially in other override locations such as platforms.
TagsNo tags attached.
Attached Files

- Relationships
related to 0000735closedredj Libraries order and platform specific libraries 

-  Notes
(0000573)
jerome (administrator)
2012-04-04 19:53

This should be fixed along with related 0000735 issue :)
(0000575)
jerome (administrator)
2012-04-04 22:01

I confirm the same problem exists with additional include directories.

Config include directories are shown at the top of the list, but they get added at the end in the Makefile. (They should be at the top, so that a configuration can override the common include directories)
(0000581)
redj (administrator)
2012-04-05 14:27
edited on: 2012-04-07 18:25

https://github.com/ecere/sdk/commit/537ccbf7df6e293b0b45b84cfd909d55e7631100 [^]


- Issue History
Date Modified Username Field Change
2010-08-31 05:07 jerome New Issue
2010-08-31 05:07 jerome Status new => assigned
2010-08-31 05:07 jerome Assigned To => redj
2012-03-08 15:41 redj Target Version old 0.44.pre2 => 0.45 Ginkakuji
2012-03-29 07:52 redj Category => ide
2012-03-29 07:52 redj Project @3@ => Ecere SDK
2012-04-04 19:52 jerome Relationship added related to 0000735
2012-04-04 19:53 jerome Note Added: 0000573
2012-04-04 22:01 jerome Note Added: 0000575
2012-04-04 22:03 jerome Severity major => block
2012-04-04 22:41 jerome Category ide => ide:buildsystem
2012-04-05 14:27 redj Status assigned => resolved
2012-04-05 14:27 redj Fixed in Version => 0.44.1 Android
2012-04-05 14:27 redj Resolution open => fixed
2012-04-05 14:27 redj Note Added: 0000581
2012-04-05 14:30 redj Target Version 0.45 Ginkakuji => 0.44.1 Android
2012-04-05 15:00 redj Note Edited: 0000581
2012-04-07 18:25 redj Note Edited: 0000581
2013-05-22 20:32 jerome Status resolved => closed
2013-08-07 03:33 jerome Fixed in Version 0.44.10 64 => 0.44.08
2013-08-07 03:33 jerome Target Version 0.44.10 64 => 0.44.08



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker